Bug 798864 - Fix rebalance check_free_space logic
Fix rebalance check_free_space logic
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: distribute (Show other bugs)
mainline
Unspecified Unspecified
medium Severity unspecified
: ---
: ---
Assigned To: shishir gowda
amainkar
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-03-01 01:27 EST by shishir gowda
Modified: 2015-04-20 07:58 EDT (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:47:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: 3.3.0.qa45
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description shishir gowda 2012-03-01 01:27:02 EST
Description of problem:
We are failing migration when force option is not used when dst node is smaller.
But the expression is evaluating otherwise.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Anand Avati 2012-03-01 02:25:59 EST
CHANGE: http://review.gluster.com/2847 (cluster/rebalance: Fix expression in check_free_space) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Rachana Patel 2012-06-08 06:33:27 EDT
verified in version 3.3.0.qa45 and it is working as per expectation.

Note You need to log in before you can comment on or make changes to this bug.